Bug 1414588 - Satellite does not set an Xmx flag in tomcat.conf, leading to possible OOMs
Summary: Satellite does not set an Xmx flag in tomcat.conf, leading to possible OOMs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Installer
Version: 6.2.6
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: Unspecified
Assignee: Chris Roberts
QA Contact: Renzo Nuccitelli
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-18 22:13 UTC by Chris Duryee
Modified: 2019-08-12 16:00 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 16:54:37 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 18146 0 Normal Closed katello does not set Xmx setting in tomcat.conf, leading to possible OOMs 2021-01-20 14:29:32 UTC

Description Chris Duryee 2017-01-18 22:13:58 UTC
Description of problem:

By default, Satellite will not set -Xmx in tomcat.conf. This can lead to situations where the JVM for candlepin will consume large amounts of memory, for example when performing large numbers of system registrations. Eventually, the OOM killer will kick in and likely kill the java process.

Version-Release number of selected component (if applicable): 6.2.6


How reproducible: every time


Steps to Reproduce:
1. peform a large number of system registrations (perhaps over 10,000 in one go)
2. observe java memory footprint

Actual results: java will grow up to 1/4 the size of memory


Expected results: the heap will stop at some predetermined amount, allowing for memory for other processes. Ideally, we could set at 6GB by default but make it configurable via an installer option.


Additional info: This is likely not a candlepin memory issue. The JVM thinks it has all that memory available, and is going to use it. Setting the Xmx flag leaves space for other processes.

Comment 6 Patrick Creech 2017-11-30 17:25:32 UTC
Chris,

This didn't cherry-pick cleanly, and I'm not that familiar with the codebase.  Could you do the pick for me?

Thanks,
Patrick

Comment 7 Chris Roberts 2017-11-30 21:20:13 UTC
Patrick,

Not a problem, I will do it tomorrow after my RHEV Exam.

- Chris

Comment 8 Chris Roberts 2017-12-04 15:13:51 UTC
Patrick,

All set

Comment 9 Renzo Nuccitelli 2017-12-20 12:30:31 UTC
On satellite 6.3 snap 29:

# grep Xmx /etc/tomcat/tomcat.conf 
JAVA_OPTS="-Xms1024m -Xmx4096m"

Thus I am moving this BZ to VERIFIED

Comment 10 pm-sat@redhat.com 2018-02-21 16:54:37 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.
> > 
> > For information on the advisory, and where to find the updated files, follow the link below.
> > 
> > If the solution does not work for you, open a new bug report.
> > 
> > https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.